KDE 4.2 PyKDE API Reference

- KDE's Python API

# EventException Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

## Enumerations

EventExceptionCode | { UNSPECIFIED_EVENT_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

## Attributes

long | code

## Methods

| __init__ (self, long _code)
| __init__ (self, DOM.EventException other)

## Method Documentation

__init__ | ( | self, |
|  | long | _code
| ) |  |  |

__init__ | ( | self, |
|  | DOM.EventException | other
| ) |  |  |

## Attribute Documentation

long code

An integer indicating the type of error generated.

UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

## Enumeration Documentation

EventExceptionCode

An integer indicating the type of error generated.

UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

Enumerator:

  UNSPECIFIED_EVENT_TYPE_ERR = 0 |
  _EXCEPTION_OFFSET = 3000 |
  _EXCEPTION_MAX = 3999 |